Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.jpivot.olap.query
Class Memento

    java.lang.Object
      com.tonbeller.jpivot.olap.query.Memento

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  MondrianMemento, XMLA_Memento

    public abstract class Memento

extends java.lang.Object
implements java.io.Serializable

Java Bean object to hold the state of an XMLA MDX session. Contains parts of XMLA_Model and subordinate objects.

See Also:
  Serialized Form

Constructor Summary
`Memento()`

Method Summary
`java.lang.String` | `getMdxQuery()` Get mdxQuery.
`QuaxBean[]` | `getQuaxes()`
`int` | `getQuaxToSort()`
`int` | `getSortMode()`
`java.lang.String[]` | `getSortPosMembers()`
`int` | `getTopBottomCount()`
`abstract int` | `getVersion()`
`boolean` | `isAxesSwapped()` Get axesSwapped.
`boolean` | `isSorting()`
`boolean` | `isUseQuax()`
`void` | `setAxesSwapped(boolean axesSwapped)` Set axesSwapped.
`void` | `setMdxQuery(java.lang.String mdxQuery)` Set mdxQuery.
`void` | `setQuaxes(QuaxBean[] beans)` set quaxes
`void` | `setQuaxToSort(int quaxToSort)` set ordinal of quax to sort
`void` | `setSorting(boolean sorting)` set sorting true/false
`void` | `setSortMode(int sortMode)` set sort mode
`void` | `setSortPosMembers(java.lang.String[] members)` set sort position members unique names
`void` | `setTopBottomCount(int topBottomCount)` set count for Top/Bottom function
`void` | `setUseQuax(boolean b)`
`abstract void` | `setVersion(int i)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Memento

    public Memento()

Method Detail

### getMdxQuery

    public java.lang.String getMdxQuery()

  Get mdxQuery.

  Returns:
    mdxQuery

### setMdxQuery

    public void setMdxQuery(java.lang.String mdxQuery)

  Set mdxQuery.

  Parameters:
    `string` -

### isAxesSwapped

    public boolean isAxesSwapped()

  Get axesSwapped.

  Returns:
    axesSwapped

### setAxesSwapped

    public void setAxesSwapped(boolean axesSwapped)

  Set axesSwapped.

  Parameters:
    `axesSwapped` -

### getTopBottomCount

    public int getTopBottomCount()

  Returns:
    count for Top/Bottom function

### setTopBottomCount

    public void setTopBottomCount(int topBottomCount)

  set count for Top/Bottom function

  Parameters:
    `i` -

### getSortMode

    public int getSortMode()

  Returns:
    sort mode

### setSortMode

    public void setSortMode(int sortMode)

  set sort mode

  Parameters:
    `sortMode` -

### isSorting

    public boolean isSorting()

  Returns:
    sorting

### setSorting

    public void setSorting(boolean sorting)

  set sorting true/false

  Parameters:
    `sorting` -

### getSortPosMembers

    public java.lang.String[] getSortPosMembers()

  Returns:
    sort position members unique names

### getQuaxToSort

    public int getQuaxToSort()

  Returns:
    ordinal of quax to sort

### setQuaxToSort

    public void setQuaxToSort(int quaxToSort)

  set ordinal of quax to sort

  Parameters:
    `quaxToSort` - ordinal of quax

### setSortPosMembers

    public void setSortPosMembers(java.lang.String[] members)

  set sort position members unique names

  Parameters:
    `members` - unique names

### getQuaxes

    public QuaxBean[] getQuaxes()

  Returns:
    quaxes

### setQuaxes

    public void setQuaxes(QuaxBean[] beans)

  set quaxes

  Parameters:
    `beans` -

### isUseQuax

    public boolean isUseQuax()

  Returns:

### setUseQuax

    public void setUseQuax(boolean b)

  Parameters:
    `b` -

### getVersion

    public abstract int getVersion()

### setVersion

    public abstract void setVersion(int i)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD